__gnu_pbds::container_traits< Cntnr >(3)

NAME
__gnu_pbds::container_traits< Cntnr > - Container traits.

SYNOPSIS

#include <tag_and_trait.hpp>

Inherits __gnu_pbds::container_traits_base< Cntnr::container_category >.

  Public Types
enum { order_preserving, erase_can_throw, split_join_can_throw, reverse_iteration }
typedef container_traits_base< container_category > base_type
typedef Cntnr::container_category container_category
typedef Cntnr container_type
typedef base_type::invalidation_guarantee invalidation_guarantee

Detailed Description

  template<typename Cntnr>
struct __gnu_pbds::container_traits< Cntnr >"Container traits.

Member Enumeration Documentation

  template<typename Cntnr > anonymous enum

Enumerator

order_preserving
    True only if Cntnr objects guarantee storing keys by order.

erase_can_throw
    True only if erasing a key can throw.

split_join_can_throw
    True only if split or join operations can throw.

reverse_iteration
    True only reverse iterators are supported.

Author

Generated automatically by Doxygen for libstdc++ from the source code.